package com.bocloud.nms.model.agile;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AgileRouterDeviceCfgModel
 * @Description:逻辑路由器的设备组配置业务
 * @author: zhenpingLi/李振平
 * @date: 2020/3/18 17:00
 */
public class AgileRouterDeviceCfgModel {
    private String rdcUuid;//逻辑路由器设备组配置业务对象标识ID。
    private String name;//名称
    private String remark;//描述
    private String logicRouterUuid;//关联的逻辑路由器ID。
    private String deviceGroupUuid;//指定的设备组ID。设备组ID与设备管理IP二选一。
    private List<String> deviceIps;//指定的设备管理IP列表，必须是同一个设备组下的所有设备的管理IP。设备管理IP与设备组ID二选一。
    private Boolean enableEscape;//是否使能逃生路径
    private Boolean enableFrr;//是否使能Frr
    private String escapeIpVersion;//逃生路径的ip类型，枚举：Ipv4、Ipv6、Unknown。如果不填按Unkown处理。
    private Boolean enableEscapeBgp;//是否下发BGP配置
    private String extInterfaceType;//接口类型。
    private Boolean enableNull0Route;//是否使能黑洞路由.
    private String null0IpVersion;//逃生路径的ip类型，枚举：Ipv4、Ipv6、Unknown。如果不填按Unkown处理。
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间

    public String getRdcUuid() {
        return rdcUuid;
    }

    public void setRdcUuid(String rdcUuid) {
        this.rdcUuid = rdcUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getLogicRouterUuid() {
        return logicRouterUuid;
    }

    public void setLogicRouterUuid(String logicRouterUuid) {
        this.logicRouterUuid = logicRouterUuid;
    }

    public String getDeviceGroupUuid() {
        return deviceGroupUuid;
    }

    public void setDeviceGroupUuid(String deviceGroupUuid) {
        this.deviceGroupUuid = deviceGroupUuid;
    }

    public List<String> getDeviceIps() {
        return deviceIps;
    }

    public void setDeviceIps(List<String> deviceIps) {
        this.deviceIps = deviceIps;
    }

    public Boolean getEnableEscape() {
        return enableEscape;
    }

    public void setEnableEscape(Boolean enableEscape) {
        this.enableEscape = enableEscape;
    }

    public Boolean getEnableFrr() {
        return enableFrr;
    }

    public void setEnableFrr(Boolean enableFrr) {
        this.enableFrr = enableFrr;
    }

    public String getEscapeIpVersion() {
        return escapeIpVersion;
    }

    public void setEscapeIpVersion(String escapeIpVersion) {
        this.escapeIpVersion = escapeIpVersion;
    }

    public Boolean getEnableEscapeBgp() {
        return enableEscapeBgp;
    }

    public void setEnableEscapeBgp(Boolean enableEscapeBgp) {
        this.enableEscapeBgp = enableEscapeBgp;
    }

    public String getExtInterfaceType() {
        return extInterfaceType;
    }

    public void setExtInterfaceType(String extInterfaceType) {
        this.extInterfaceType = extInterfaceType;
    }

    public Boolean getEnableNull0Route() {
        return enableNull0Route;
    }

    public void setEnableNull0Route(Boolean enableNull0Route) {
        this.enableNull0Route = enableNull0Route;
    }

    public String getNull0IpVersion() {
        return null0IpVersion;
    }

    public void setNull0IpVersion(String null0IpVersion) {
        this.null0IpVersion = null0IpVersion;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }
}
